Package twisted :: Package mail :: Module maildir :: Class AbstractMaildirDomain

[show private | hide private]
[frames | no frames]

## Class AbstractMaildirDomain

Known Subclasses:
  `MaildirDirdbmDomain`

Abstract maildir-backed domain.

Method Summary
| ``__init__`(self, service, root)` Initialize.
| ``exists`(self, user, success, failure)` Check for existence of user in the domain
| ``startMessage`(self, user)` Save a message for a given user
| ``userDirectory`(self, user)` Get the maildir directory for a given user

Class Variable Summary
`class` | `IDomain`

Method Details

### __init__(self, service, root)
(Constructor)

Initialize.

### exists(self, user, success, failure)

Check for existence of user in the domain

### startMessage(self, user)

Save a message for a given user

### userDirectory(self, user)

Get the maildir directory for a given user

Override to specify where to save mails for users. Return None for non-existing users.

Class Variable Details

### IDomain

`IDomain` = `twisted.mail.mail.IDomain`

Generated by Epydoc 1.1 on Sat Feb 15 21:19:07 2003 | http://epydoc.sf.net